.sku-props {
  --active-prop-color: var(--theme-base-color, #2c56dc);
  --text-prop-color: var(--white_text_black, #333);
  --prop-border-color: var(--stroke_black, #ddd);
  --white: #fff;
  --tooltip-background-color: var(--card_bg_hover_black, var(--white));
  --sku-prop-size: 50px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.sku-props--compact {
  --sku-prop-size: 30px;
  flex-direction: row;
  gap: 10px;
}

.sku-props__group {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.sku-props-group__header {
  display: flex;
  gap: 7px;
  font-size: calc(1rem - 2px);
  line-height: calc(1em + 6px);
  color: #888888;
}

.sku-props-group__title-value {
  color: var(--text-prop-color);
}

.sku-props-list {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 8px;
}

.sku-props-value {
  border-radius: 2px;
  border: 1px solid var(--prop-border-color);
  text-decoration: none;
}
.sku-props--compact .sku-props-value {
  cursor: pointer;
}

.sku-props-value.active {
  outline: 2px solid var(--active-prop-color);
}

.sku-props-value--pict {
  width: var(--sku-prop-size);
  padding: 2px;
  outline-offset: -1px;
}

.sku-props-value--text {
  color: var(--text-prop-color);
  outline-offset: -2px;
  font-size: calc(1rem - 2px);
  line-height: calc(1em + 14px);
  padding-inline: 8px;
}

.sku-props-value--text.active {
  background-color: var(--active-prop-color);
  color: var(--white);
}

.sku-props-value--link:is(:hover, :focus-visible) {
  border-color: var(--active-prop-color);
  color: var(--active-prop-color);
}

.sku-props-value__image {
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  display: block;
  padding-bottom: 100%;
}

.sku-props-hint {
  position: relative;
  z-index: 1;
}

.sku-props-hint__icon {
  border: none;
  background: transparent;
  border-radius: 100%;
  border: 1px solid #e5e5e5;
  width: 16px;
  height: 16px;
  font-size: calc(1rem - 5px);
  line-height: 1rem;
  color: var(--text-prop-color);
}

.sku-props-hint__icon:is(:hover, :focus-visible),
.sku-props-hint__icon:has(+ ._active) {
  border-color: var(--active-prop-color);
}
.sku-props-hint__icon:is(:hover),
.sku-props-hint__icon:has(+ ._active) {
  background-color: var(--active-prop-color);
  color: var(--white);
}

.sku-props-hint__tooltip {
  background: var(--tooltip-background-color);
  border-radius: 2px;
  box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.12);
  color: #888888;
  margin-top: 4px;
  position: absolute;
  width: max-content;
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.15s ease-in-out;
}

.sku-props-hint__tooltip._active::after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-top-width: 5px;
  border-bottom-color: transparent;
  border-top-width: 1px;
  border-bottom-color: var(--tooltip-background-color);
  left: 3px;
  top: -6px;
}

.sku-props-hint__tooltip-container {
  overflow: hidden;
}

.sku-props-hint__tooltip._active {
  grid-template-rows: 1fr;
}

.sku-props-hint__tooltip-content {
  font-size: 12px;
  font-weight: 400;
  line-height: 14px;
  max-width: 200px;
  min-width: 21px;
  overflow: hidden;
  padding: 17px 20px 17px;
}

.sku-props__wrap {
  margin-top: 16px;
}

.sku-props__wrap .sku-props-group__header .sku-props-group__title-delimeter, .sku-props__wrap .sku-props-group__header .sku-props-group__title-value {
  display: none;
}

.sku-props__wrap .sku-props-group__title, .sku-props__wrap .sku-props-group__title-delimeter {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 150%;
  color: var(--white_text_black, #526B78);
}

.sku-props__wrap .sku-props-group__title-value {
  font-weight: 500;
  font-size: 14px;
  line-height: 150%;
  letter-spacing: 0;
  color: var(--fill_dark_light_hover);
}

.sku-props__wrap .sku-props-value--text {
  outline-offset: -2px;
  padding-inline: 16px;
  border-radius: 10px;
  width: 92px;
  text-align: center;
  padding: 6px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: 12px;
  line-height: 120%;
  letter-spacing: 0;
  word-break: break-word;
  white-space: normal;
  background-color: #f2f5fa;
  border: none;
  color: var(--text-prop-color);
  transition: all ease-out 0.4s;
}

.sku-props__wrap .sku-props-value--text.active {
  background-color: #f2f5fa;
  color: var(--text-prop-color);
}

.sku-props__wrap .sku-props-value--text:hover {
  background-color: #f2f5fa;
  color: var(--text-prop-color);
  opacity: .9;
  -webkit-box-shadow: 0 10px 20px 0 #00000019;
  box-shadow: 0 10px 20px 0 #00000019;
}

.product-view_ud .skugroup-desc--wrap {
  width: 100%;
}

.product-view_ud .skugroup-desc--wrap .sku-props {
  --sku-prop-size: 100px;
  gap: 12px;
}

.sku-props__wrap .sku-props-list {
  min-width: 100px;
  gap: 12px;
  align-items: stretch;
  padding: 0 2px;
  overflow: hidden;
  transition: all 1s ease-in-out;
}

.sku-props__wrap .sku-props-value--pict {
  padding: 2px;
  flex-direction: column;
  text-align: center;
  background-color: #f2f5fa;
  border-radius: 10px;
  border: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 4px;
  width: 92px;
  overflow-wrap: anywhere;
}

.sku-props__wrap .sku-props-value--pict>*:last-child {
  padding-bottom: 2px;
}

.sku-props__wrap .sku-props-value--pict:not(.active):hover {
  opacity: .9;
  -webkit-box-shadow: 0 10px 20px 0 #00000019;
  box-shadow: 0 10px 20px 0 #00000019;
}

.sku-props__wrap .sku-props-value__image {
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  display: block;
  border-radius: 10px 10px 0 0;
  padding-bottom: 88px;
  width: 88px;
  transition: all ease-out 0.4s;
}

.sku-props__wrap .sku-props-value__image-name {
  font-weight: 500;
  font-size: 10px;
  line-height: 120%;
  letter-spacing: 0;
  color: var(--white_text_black, #42525a);
  padding: 0 4px;
  word-break: break-word;
  white-space: normal;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.sku-props-list-more {
  font-family: var(--font_manrope);
  font-size: 14px;
  font-weight: 700;
  line-height: 21px;
  text-align: left;
  color: var(--fill_dark_light_white_hover);
  text-decoration: underline;
  text-decoration-color: var(--light,transparent) var(--dark,#fff);
  text-underline-offset: 3px;
  cursor: pointer;
}

.sku-props-list-more:hover {
  color: var(--fill_dark_light_ccc);
}

.sku-props__wrap .in_text .sku-props-list.sku-props-list-min {
  max-height: 150px;
  transition: 0.4s ease-in-out;
}

.sku-props__wrap .in_text .sku-props-list:not(.sku-props-list-min) {
  max-height: none;
}
